function generarRef_MZ()
{
    jQuery(function(){
        $('#generar').attr("disabled", true);
    });
    
    var clt = $('#cliente').val();      var tipO = $('#tipOperacion').val();
    var tipC = $('#tipoCarga').val();    var fechE = $('#Fecha_eta').val();
    var fl = $('#folio').val();         var ped = $('#pedimento').val();
    var adn = $('#aduana').val();       var ptnt = $('#patente').val();
    var cont1 = $('#cnt1').val();       var cont2 = $('#cnt2').val();
    var cont3 = $('#cnt3').val();       var cont4 = $('#cnt4').val();
    var cont5 = $('#cnt5').val();       var cont6 = $('#cnt6').val();
    var cont7 = $('#cnt7').val();       var cont8 = $('#cnt8').val();
    var cont9 = $('#cnt9').val();       var cont10 = $('#cnt10').val();

    //document.getElementById("cnt1").value = "";

    if(clt != "" && tipO != "" && tipC != "" && fechE != "" && fl != "" && ped != "" && adn != "" && ptnt != ""){
        $.ajaxSetup({
            headers: {
              'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            }
        });

        $.ajax({
            type: 'GET',
            url: 'CRefMZ',
            data: {
                'cliente': clt, 'tipOperacion': tipO,'tipCarga': tipC,'fecha_eta': fechE,'folio': fl,'pedimento': ped,'aduana': adn,'patente': ptnt, 'cont1': cont1,'cont2': cont2, 'cont3': cont3, 'cont4': cont4,'cont5': cont5,'cont6': cont6,'cont7': cont7,'cont8': cont8,'cont9': cont9,'cont10': cont10,
            },
            success:function(result){
                    $('#cuerpoTB').html(result);

                    $('#tipOperacion')[0].selectedIndex = 0;
                    $('#tipoCarga')[0].selectedIndex = 0;
                    $('#Fecha_eta')[0].selectedIndex = 0;
                    document.getElementById("cnt1").value = "";
                    document.getElementById("cnt2").value = "";
                    document.getElementById("cnt3").value = "";
                    document.getElementById("cnt4").value = "";
                    document.getElementById("cnt5").value = "";
                    document.getElementById("cnt6").value = "";
                    document.getElementById("cnt7").value = "";
                    document.getElementById("cnt8").value = "";
                    document.getElementById("cnt9").value = "";
                    document.getElementById("cnt10").value = "";

                    jQuery(function(){
                        $('#RefGenMZ').modal('show');
                        $('#generar').attr("disabled", false);
                    });

            },error:function (xhr, ajaxOptions, thrownError){
                if(xhr.status==404) {
                    alert(thrownError);
                }
            }
        });
    }else{
        alert('Revisa que todos los campos esten llenos!');
        jQuery(function(){
            $('#generar').attr("disabled", false);
        });
    }

}

function generarRef_MX()
{

    jQuery(function(){
        $('#generar3').attr("disabled", true);
    });

    var cltmx = $('#clientemx').val();      var tipOmx = $('#tipOperacionmx').val();
    var tipCmx = $('#tipoCargamx').val();    var fechEmx = $('#Fecha_etamx').val();
    var flmx = $('#foliomx').val();         var pedmx = $('#pedimentomx').val();
    var adnmx = $('#aduanamx').val();       var ptntmx = $('#patentemx').val();
    var cont1mx = $('#cntmx1').val();       var cont2mx = $('#cntmx2').val();
    var cont3mx = $('#cntmx3').val();       var cont4mx = $('#cntmx4').val();
    var cont5mx = $('#cntmx5').val();       var cont6mx = $('#cntmx6').val();
    var cont7mx = $('#cntmx7').val();       var cont8mx = $('#cntmx8').val();
    var cont9mx = $('#cntmx9').val();       var cont10mx = $('#cntmx10').val();

    if(cltmx != "" && tipOmx != "" && tipCmx != "" && fechEmx != "" && flmx != "" && pedmx != "" && adnmx != "" && ptntmx != ""){
        $.ajaxSetup({
            headers: {
              'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            }
        });
    
        $.ajax({
            type: 'GET',
            url: 'CRefMX',
            data: {
                'cliente': cltmx, 'tipOperacion': tipOmx,'tipCarga': tipCmx,'fecha_eta': fechEmx,'folio': flmx,'pedimento': pedmx,'aduana': adnmx,'patente': ptntmx, 'cont1': cont1mx,'cont2': cont2mx, 'cont3': cont3mx, 'cont4': cont4mx,'cont5': cont5mx,'cont6': cont6mx,'cont7': cont7mx,'cont8': cont8mx,'cont9': cont9mx,'cont10': cont10mx,
            },
            success:function(result){
                    $('#cuerpoTBMX').html(result);
    
                    $('#tipOperacionmx')[0].selectedIndex = 0;
                    $('#tipoCargamx')[0].selectedIndex = 0;
                    $('#Fecha_etamx')[0].selectedIndex = 0;
                    document.getElementById("cntmx1").value = "";
                    document.getElementById("cntmx2").value = "";
                    document.getElementById("cntmx3").value = "";
                    document.getElementById("cntmx4").value = "";
                    document.getElementById("cntmx5").value = "";
                    document.getElementById("cntmx6").value = "";
                    document.getElementById("cntmx7").value = "";
                    document.getElementById("cntmx8").value = "";
                    document.getElementById("cntmx9").value = "";
                    document.getElementById("cntmx10").value = "";

                    jQuery(function(){
                        $('#RefGenMX').modal('show'); 
                        $('#generar3').attr("disabled", false);
                    });
    
            },error:function (xhr, ajaxOptions, thrownError){
                if(xhr.status==404) {
                    alert(thrownError);
                }
            }
        });
    }else{
        alert('Revisa que todos los campos esten llenos!');
        jQuery(function(){
            $('#generar3').attr("disabled", false);
        });
    }
}

function generarRef_VZ()
{
    jQuery(function(){
        $('#generar5').attr("disabled", true);
    });
     
    var cltvz = $('#clientevz').val();      var tipOvz = $('#tipOperacionvz').val();
    var tipCvz = $('#tipoCargavz').val();    var fechEvz = $('#Fecha_eta').val();
    var flvz = $('#foliovz').val();         var pedvz = $('#pedimentovz').val();
    var adnvz = $('#aduanavz').val();       var ptntvz = $('#patentevz').val();
    var cont1vz = $('#cntvz1').val();       var cont2vz = $('#cntvz2').val();
    var cont3vz = $('#cntvz3').val();       var cont4vz = $('#cntvz4').val();
    var cont5vz = $('#cntvz5').val();       var cont6vz = $('#cntvz6').val();
    var cont7vz = $('#cntvz7').val();       var cont8vz = $('#cntvz8').val();
    var cont9vz = $('#cntvz9').val();       var cont10vz = $('#cntvz10').val();

    if(cltvz != "" && tipOvz != "" && tipCvz != "" && fechEvz != "" && flvz != "" && pedvz != "" && adnvz != "" && ptntvz != ""){
        $.ajaxSetup({
            headers: {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            }
        });

        $.ajax({
            type: 'GET',
            url: 'CRefVZ',
            data: {
                'cliente': cltvz, 'tipOperacion': tipOvz,'tipCarga': tipCvz,'fecha_eta': fechEvz,'folio': flvz,'pedimento': pedvz,'aduana': adnvz,'patente': ptntvz, 'cont1': cont1vz,'cont2': cont2vz, 'cont3': cont3vz, 'cont4': cont4vz,'cont5': cont5vz,'cont6': cont6vz,'cont7': cont7vz,'cont8': cont8vz,'cont9': cont9vz,'cont10': cont10vz,
            },
            success:function(result){
                    $('#cuerpoTBVZ').html(result);

                    $('#tipOperacionvz')[0].selectedIndex = 0;
                    $('#tipoCargavz')[0].selectedIndex = 0;
                    $('#Fecha_etavz')[0].selectedIndex = 0;
                    document.getElementById("cntvz1").value = "";
                    document.getElementById("cntvz2").value = "";
                    document.getElementById("cntvz3").value = "";
                    document.getElementById("cntvz4").value = "";
                    document.getElementById("cntvz5").value = "";
                    document.getElementById("cntvz6").value = "";
                    document.getElementById("cntvz7").value = "";
                    document.getElementById("cntvz8").value = "";
                    document.getElementById("cntvz9").value = "";
                    document.getElementById("cntvz10").value = "";

                    jQuery(function(){
                        $('#RefGenVZ').modal('show'); 
                        $('#generar5').attr("disabled", false);
                    });

            },error:function (xhr, ajaxOptions, thrownError){
                if(xhr.status==404) {
                    alert(thrownError);
                }
            }
        });
    }else{
        alert('Revisa que todos los campos esten llenos!');
        jQuery(function(){
            $('#generar5').attr("disabled", false);
        });
    }
}

function generarRef_LZ()
{

    jQuery(function(){
        $('#generar7').attr("disabled", true);
    });
     
    var cltlz = $('#clientelz').val();      var tipOlz = $('#tipOperacionlz').val();
    var tipClz = $('#tipoCargalz').val();    var fechElz = $('#Fecha_etalz').val();
    var fllz = $('#foliolz').val();         var pedlz = $('#pedimentolz').val();
    var adnlz = $('#aduanalz').val();       var ptntlz = $('#patentelz').val();
    var cont1lz = $('#cnt1lz').val();       var cont2lz = $('#cnt2lz').val();
    var cont3lz = $('#cnt3lz').val();       var cont4lz = $('#cnt4lz').val();
    var cont5lz = $('#cnt5lz').val();       var cont6lz = $('#cnt6lz').val();
    var cont7lz = $('#cnt7lz').val();       var cont8lz = $('#cnt8lz').val();
    var cont9lz = $('#cnt9lz').val();       var cont10lz = $('#cnt10lz').val();

    if(cltlz != "" && tipOlz != "" && tipClz != "" && fechElz != "" && fllz != "" && pedlz != "" && adnlz != "" && ptntlz != ""){
        $.ajaxSetup({
            headers: {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            }
        });
        $.ajax({
            type: 'GET',
            url: 'CRefLZ',
            data: {
                'cliente': cltlz, 'tipOperacion': tipOlz,'tipCarga': tipClz,'fecha_eta': fechElz,'folio': fllz,'pedimento': pedlz,'aduana': adnlz,'patente': ptntlz, 'cont1': cont1lz,'cont2': cont2lz, 'cont3': cont3lz, 'cont4': cont4lz,'cont5': cont5lz,'cont6': cont6lz,'cont7': cont7lz,'cont8': cont8lz,'cont9': cont9lz,'cont10': cont10lz,
            },
            success:function(result){
                    $('#cuerpoTBLZ').html(result);

                    $('#tipOperacionlz')[0].selectedIndex = 0;
                    $('#tipoCargalz')[0].selectedIndex = 0;
                    $('#Fecha_etalz')[0].selectedIndex = 0;
                    document.getElementById("cnt1lz").value = "";
                    document.getElementById("cnt2lz").value = "";
                    document.getElementById("cnt3lz").value = "";
                    document.getElementById("cnt4lz").value = "";
                    document.getElementById("cnt5lz").value = "";
                    document.getElementById("cnt6lz").value = "";
                    document.getElementById("cnt7lz").value = "";
                    document.getElementById("cnt8lz").value = "";
                    document.getElementById("cnt9lz").value = "";
                    document.getElementById("cnt10lz").value = "";

                    jQuery(function(){
                        $('#RefGenLZ').modal('show'); 
                        $('#generar7').attr("disabled", false);
                    });

            },error:function (xhr, ajaxOptions, thrownError){
                if(xhr.status==404) {
                    alert(thrownError);
                }
            }
        });
    }else{
        alert('Revisa que todos los campos esten llenos!');
        jQuery(function(){
            $('#generar7').attr("disabled", false);
        });
    }
}
